All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::usrp::dboard_id_t Class Reference

`#include <dboard_id.hpp>`

Inheritance diagram for uhd::usrp::dboard_id_t:

## Public Member Functions

| dboard_id_t (boost::uint16_t id=0xffff)
boost::uint16_t | to_uint16 (void) const
std::string | to_string (void) const
std::string | to_cname (void) const
std::string | to_pp_string (void) const

## Static Public Member Functions

static dboard_id_t | none (void)
static dboard_id_t | from_uint16 (boost::uint16_t uint16)
static dboard_id_t | from_string (const std::string &string)

## Constructor & Destructor Documentation

uhd::usrp::dboard_id_t::dboard_id_t | ( | boost::uint16_t | id = `0xffff` | ) |

Create a dboard id from an integer.

Parameters

  id | the integer representation

## Member Function Documentation

static dboard_id_t uhd::usrp::dboard_id_t::from_string | ( | const std::string & | string | ) |

static

Create a new dboard id from a string representation. If the string has a 0x prefix, it will be parsed as hex.

Parameters

  string | a numeric string, possibly hex

Returns
  a new dboard id containing the integer

static dboard_id_t uhd::usrp::dboard_id_t::from_uint16 | ( | boost::uint16_t | uint16 | ) |

static

Create a new dboard id from an integer representation.

Parameters

  uint16 | an unsigned 16 bit integer

Returns
  a new dboard id containing the integer

static dboard_id_t uhd::usrp::dboard_id_t::none | ( | void |  | ) |

static

Obtain a dboard id that represents no dboard.

Returns
  the dboard id with the 0xffff id.

std::string uhd::usrp::dboard_id_t::to_cname | ( | void |  | ) | const

Get the dboard id represented as a canonical name.

Returns
  the canonical string representation

std::string uhd::usrp::dboard_id_t::to_pp_string | ( | void |  | ) | const

Get the pretty print representation of this dboard id.

Returns
  a string with the dboard name and id number

std::string uhd::usrp::dboard_id_t::to_string | ( | void |  | ) | const

Get the dboard id represented as an integer.

Returns
  a hex string representation with 0x prefix

boost::uint16_t uhd::usrp::dboard_id_t::to_uint16 | ( | void |  | ) | const

Get the dboard id represented as an integer.

Returns
  an unsigned 16 bit integer representation

The documentation for this class was generated from the following file:

- include/uhd/usrp/dboard_id.hpp